//-----------------------------------------------------------------------------
struct __declspec(uuid("{C7DF1EAC-A2AB-4c53-8FA3-BED09F89C012}")) CLSID_OpenGLRenderer;

class CRendererOpenGL : public CBaseVideoRenderer
{
public:
    CRendererOpenGL(CMoviePlayer *pPres, LPUNKNOWN pUnk,HRESULT *phr);
    ~CRendererOpenGL();

public:
    HRESULT CheckMediaType(const CMediaType *pmt );     // Format acceptable?
    HRESULT SetMediaType(const CMediaType *pmt );       // Video format notification
    HRESULT DoRenderSample(IMediaSample *pMediaSample); // New video sample

private:
    CMoviePlayer* m_pCP;// pointer to the movie object

    LONG m_lVidWidth;   // Video width
    LONG m_lVidHeight;  // Video Height
    LONG m_lVidPitch;   // Video Pitch
};


