#include <streams.h>

struct __declspec(uuid("{7B06F833-4F8B-48d8-BECF-1F42E58CEAD5}")) CLSID_RendererD3D;

class CRendererD3D : public CBaseVideoRenderer
{
public:
    CRendererD3D(LPUNKNOWN pUnk,HRESULT *phr);
    ~CRendererD3D();

public:
    HRESULT CheckMediaType(const CMediaType *pmt );     // Format acceptable?
    HRESULT SetMediaType(const CMediaType *pmt );       // Video format notification
    HRESULT DoRenderSample(IMediaSample *pMediaSample); // New video sample
   
    BOOL m_bUseDynamicTextures;
    LONG m_lVidWidth;   // Video width
    LONG m_lVidHeight;  // Video Height
    LONG m_lVidPitch;   // Video Pitch
};


